import { CornerSquareType, DrawArgs, BasicFigureDrawArgs, RotateFigureArgs, Window } from "../../types";
export default class QRCornerSquare {
    _element?: SVGElement;
    _svg: SVGElement;
    _type: CornerSquareType;
    _window: Window;
    constructor({ svg, type, window }: {
        svg: SVGElement;
        type: CornerSquareType;
        window: Window;
    });
    draw(x: number, y: number, size: number, rotation: number): void;
    _rotateFigure({ x, y, size, rotation, draw }: RotateFigureArgs): void;
    _basicDot(args: BasicFigureDrawArgs): void;
    _basicSquare(args: BasicFigureDrawArgs): void;
    _basicExtraRounded(args: BasicFigureDrawArgs): void;
    _basicFrame1(args: BasicFigureDrawArgs): void;
    _basicFrame2(args: BasicFigureDrawArgs): void;
    _basicFrame3(args: BasicFigureDrawArgs): void;
    _basicFrame4(args: BasicFigureDrawArgs): void;
    _basicFrame7(args: BasicFigureDrawArgs): void;
    _basicFrame16(args: BasicFigureDrawArgs): void;
    _drawDot({ x, y, size, rotation }: DrawArgs): void;
    _drawSquare({ x, y, size, rotation }: DrawArgs): void;
    _drawExtraRounded({ x, y, size, rotation }: DrawArgs): void;
    _frame1({ x, y, size, rotation }: DrawArgs): void;
    _frame2({ x, y, size, rotation }: DrawArgs): void;
    _frame3({ x, y, size, rotation }: DrawArgs): void;
    _frame4({ x, y, size, rotation }: DrawArgs): void;
    _frame7({ x, y, size, rotation }: DrawArgs): void;
    _frame16({ x, y, size, rotation }: DrawArgs): void;
}
