import { CornerDotType, RotateFigureArgs, BasicFigureDrawArgs, DrawArgs, Window } from "../../types";
export default class QRCornerDot {
    _element?: SVGElement;
    _svg: SVGElement;
    _type: CornerDotType;
    _window: Window;
    constructor({ svg, type, window }: {
        svg: SVGElement;
        type: CornerDotType;
        window: Window;
    });
    draw(x: number, y: number, size: number, rotation: number): void;
    _rotateFigure({ x, y, size, rotation, draw }: RotateFigureArgs): void;
    _basicDot(args: BasicFigureDrawArgs): void;
    _basicSquare(args: BasicFigureDrawArgs): void;
    _basicBall1(args: BasicFigureDrawArgs): void;
    _basicBall2(args: BasicFigureDrawArgs): void;
    _basicBall3(args: BasicFigureDrawArgs): void;
    _basicBall5(args: BasicFigureDrawArgs): void;
    _basicBall12(args: BasicFigureDrawArgs): void;
    _basicBall13(args: BasicFigureDrawArgs): void;
    _basicBall15(args: BasicFigureDrawArgs): void;
    _basicBall18(args: BasicFigureDrawArgs): void;
    _basicBall19(args: BasicFigureDrawArgs): void;
    _drawDot({ x, y, size, rotation }: DrawArgs): void;
    _drawSquare({ x, y, size, rotation }: DrawArgs): void;
    _drawBall1({ x, y, size, rotation }: DrawArgs): void;
    _drawBall2({ x, y, size, rotation }: DrawArgs): void;
    _drawBall3({ x, y, size, rotation }: DrawArgs): void;
    _drawBall5({ x, y, size, rotation }: DrawArgs): void;
    _drawBall12({ x, y, size, rotation }: DrawArgs): void;
    _drawBall13({ x, y, size, rotation }: DrawArgs): void;
    _drawBall15({ x, y, size, rotation }: DrawArgs): void;
    _drawBall18({ x, y, size, rotation }: DrawArgs): void;
    _drawBall19({ x, y, size, rotation }: DrawArgs): void;
}
